Take the 2-minute tour ×
Server Fault is a question and answer site for system and network administrators. It's 100% free, no registration required.

I am stripping a centos sever to bare bones as I would like to start basic. I have yum removed packages I won't be using (php, ruby, PostgreSQL, Webmin, Usermin, Mail, Awstats...)

I am looking to be left with things like Apache, node.js, security, mysql.

Do I need perl (I'm not going to code in it)? Also samba and talk? I've removed about a 3rd of the non-essential so far but I am having trouble identifying some.

What else can I remove to simplify?

note: * marks things I know I need, ? marks things that I am wondering the point of

? GeoIP.x86_64
MAKEDEV.x86_64
acl.x86_64
apr.x86_64
apr-util.x86_64
apr-util-ldap.x86_64
aspell.x86_64
attr.x86_64
audit-libs.x86_64
authconfig.x86_64
* autoconf.noarch
* automake.noarch
avahi-libs.x86_64
basesystem.noarch
bash.x86_64
bind.x86_64
bind-libs.x86_64
bind-utils.x86_64
binutils.x86_64
bzip2.x86_64
bzip2-libs.i686
bzip2-libs.x86_64
c-ares19.x86_64
c-ares19-devel.x86_64
ca-certificates.noarch
* cairo.x86_64
* cairo-devel.x86_64
* cairomm.x86_64
* cairomm-devel.x86_64
centos-indexhtml.noarch
centos-release.x86_64
* checkpolicy.x86_64
chkconfig.x86_64
cloog-ppl.x86_64
compat-readline5.x86_64
coreutils.x86_64
coreutils-libs.x86_64
cpio.x86_64
cpp.x86_64
cracklib.x86_64
cracklib-dicts.x86_64
cronie.x86_64
cronie-noanacron.x86_64
crontabs.noarch
cups-libs.x86_64
curl.x86_64
cyrus-sasl.x86_64
cyrus-sasl-gssapi.x86_64
cyrus-sasl-lib.x86_64
cyrus-sasl-md5.x86_64
cyrus-sasl-plain.x86_64
? db4.x86_64
? db4-cxx.x86_64
? db4-devel.x86_64
? db4-utils.x86_64
dbus-glib.x86_64
dbus-libs.x86_64
dhclient.x86_64
dhcp-common.x86_64
diffutils.x86_64
? docbook-dtds.noarch         //some pdf tool?
? docbook-style-dsssl.noarch
? docbook-style-xsl.noarch 
? docbook-utils.noarch
e2fsprogs.x86_64
e2fsprogs-libs.i686
e2fsprogs-libs.x86_64
ed.x86_64
elfutils.x86_64
elfutils-libelf.x86_64
elfutils-libs.x86_64
epel-release.noarch
ethtool.x86_64
expat.x86_64
file-libs.x86_64
filesystem.x86_64
findutils.x86_64
? finger.x86_64
? finger-server.x86_64
fipscheck.x86_64
fipscheck-lib.x86_64
fontconfig.x86_64
fontconfig-devel.x86_64
freetype.x86_64
freetype-devel.x86_64
ftp.x86_64
gamin.i686
gamin.x86_64
gawk.x86_64
gcc.x86_64
gcc-c++.x86_64
gd.x86_64
gdbm.x86_64
gdbm-devel.x86_64
giflib.x86_64
giflib-devel.x86_64
glib2.i686
glib2.x86_64
glib2-devel.x86_64
glibc.i686
glibc.x86_64
glibc-common.x86_64
glibc-devel.x86_64
glibc-headers.x86_64
glibmm24.x86_64
gmp.x86_64
gnupg2.x86_64
gnutls.x86_64
gpgme.x86_64
gpm-libs.x86_64
grep.x86_64
groff.x86_64
gtk-doc.noarch
gyp.noarch
gzip.x86_64
hesiod.x86_64
http-parser.x86_64
http-parser-devel.x86_64
httpd-tools.x86_64
hwdata.noarch
info.x86_64
initscripts.x86_64
iproute.x86_64
* iptables.x86_64
iputils.x86_64
? jwhois.x86_64
kernel-headers.x86_64
keyutils-libs.x86_64
keyutils-libs-devel.x86_64
krb5-devel.x86_64
krb5-libs.x86_64
? less.x86_64
libICE.x86_64
libSM.x86_64
libX11.x86_64
libX11-common.noarch
libX11-devel.x86_64
libXau.x86_64
libXau-devel.x86_64
libXext.x86_64
libXext-devel.x86_64
libXft.x86_64
libXft-devel.x86_64
libXpm.x86_64
libXrender.x86_64
libXrender-devel.x86_64
libacl.i686
libacl.x86_64
libattr.i686
libattr.x86_64
libblkid.x86_64
libc-client.x86_64
libcap.x86_64
libcap-ng.x86_64
libcom_err.i686
libcom_err.x86_64
libcom_err-devel.x86_64
libcurl.x86_64
libedit.x86_64
libffi.x86_64
libgcc.i686
libgcc.x86_64
libgcrypt.x86_64
libgomp.x86_64
libgpg-error.x86_64
libgssglue.x86_64
libicu.x86_64
libidn.x86_64
* libjpeg-turbo.x86_64
* libjpeg-turbo-devel.x86_64
libnih.x86_64
libnl.x86_64
libpcap.x86_64
* libpng.i686
* libpng.x86_64
* libpng-devel.x86_64
libproxy.x86_64
libproxy-bin.x86_64
libproxy-python.x86_64
libselinux.i686
libselinux.x86_64
libselinux-devel.x86_64
libselinux-utils.x86_64
libsemanage.x86_64
libsepol.x86_64
libsepol-devel.x86_64
libsigc++20.x86_64
libsigc++20-devel.x86_64
libss.x86_64
libssh2.x86_64
libstdc++.i686
libstdc++.x86_64
libstdc++-devel.x86_64
libtalloc.x86_64
libtasn1.x86_64
libtdb.x86_64
libtevent.x86_64
? libthai.x86_64
libtiff.x86_64
* libtirpc.x86_64
libtool-ltdl.x86_64
libusb.x86_64
libuser.x86_64
libutempter.x86_64
libuuid.x86_64
libuv.x86_64
libuv-devel.x86_64
libxcb.x86_64
libxcb-devel.x86_64
libxml2.i686
libxml2.x86_64
libxslt.x86_64
lm_sensors-libs.x86_64
logrotate.x86_64
lsof.x86_64
lua.x86_64
lynx.x86_64
m4.x86_64
* make.x86_64
man.x86_64
man-pages.noarch
mingetty.x86_64
mlocate.x86_64
module-init-tools.x86_64
mpfr.x86_64
* mysql.x86_64
* mysql-devel.x86_64
* mysql-libs.x86_64
* mysql-server.x86_64
* nano.x86_64
ncompress.x86_64
ncurses.x86_64
ncurses-base.x86_64
ncurses-libs.i686
ncurses-libs.x86_64
neon.x86_64
net-snmp.x86_64
net-snmp-libs.x86_64
net-snmp-utils.x86_64
net-tools.x86_64
newt.x86_64
newt-python.x86_64
* node-gyp.noarch                all node is *
nodejs.x86_64
nodejs-abbrev.noarch
nodejs-ansi.noarch
nodejs-archy.noarch
nodejs-asn1.noarch
nodejs-assert-plus.noarch
nodejs-async.noarch
nodejs-aws-sign.noarch
nodejs-block-stream.noarch
nodejs-boom.noarch
nodejs-child-process-close.noarch
nodejs-chmodr.noarch
nodejs-chownr.noarch
nodejs-cmd-shim.noarch
nodejs-combined-stream.noarch
nodejs-config-chain.noarch
nodejs-cookie-jar.noarch
nodejs-couch-login.noarch
nodejs-cryptiles.noarch
nodejs-ctype.noarch
nodejs-delayed-stream.noarch
nodejs-devel.x86_64
nodejs-editor.noarch
nodejs-forever-agent.noarch
nodejs-form-data.noarch
nodejs-fstream.noarch
nodejs-fstream-ignore.noarch
nodejs-fstream-npm.noarch
nodejs-github-url-from-git.noarch
nodejs-glob.noarch
nodejs-graceful-fs.noarch
nodejs-hawk.noarch
nodejs-hoek.noarch
nodejs-http-signature.noarch
nodejs-inherits.noarch
nodejs-ini.noarch
nodejs-init-package-json.noarch
nodejs-json-stringify-safe.noarch
nodejs-lockfile.noarch
nodejs-lru-cache.noarch
nodejs-mime.noarch
nodejs-minimatch.noarch
nodejs-mkdirp.noarch
nodejs-mute-stream.noarch
nodejs-node-uuid.noarch
nodejs-nopt.noarch
nodejs-normalize-package-data.noarch
nodejs-npm-registry-client.noarch
nodejs-npm-user-validate.noarch
nodejs-npmconf.noarch
nodejs-npmlog.noarch
nodejs-oauth-sign.noarch
nodejs-once.noarch
nodejs-opener.noarch
nodejs-osenv.noarch
nodejs-packaging.noarch
nodejs-promzard.noarch
nodejs-proto-list.noarch
nodejs-qs.noarch
nodejs-read.noarch
nodejs-read-installed.noarch
nodejs-read-package-json.noarch
nodejs-request.noarch
nodejs-retry.noarch
nodejs-rimraf.noarch
nodejs-semver.noarch
nodejs-sha.noarch
nodejs-sigmund.noarch
nodejs-slide.noarch
nodejs-sntp.noarch
nodejs-tar.noarch
nodejs-tunnel-agent.noarch
nodejs-uid-number.noarch
nodejs-which.noarch
* npm.noarch
nscd.x86_64
nspr.x86_64
nss.x86_64
nss-softokn.x86_64
nss-softokn-freebl.i686
nss-softokn-freebl.x86_64
nss-sysinit.x86_64
nss-tools.x86_64
nss-util.x86_64
ntsysv.x86_64
? openjade.x86_64
openldap.x86_64
opensp.x86_64
* openssh.x86_64
* openssh-clients.x86_64
* openssh-server.x86_64
* openssl.x86_64
* openssl-devel.x86_64
p11-kit.x86_64
p11-kit-trust.x86_64
pakchois.x86_64
pam.x86_64
* pango.x86_64
* pango-devel.x86_64
* pangomm.x86_64
passwd.x86_64
pcre.x86_64
? perl.x86_64
? perl-Archive-Tar.x86_64
? perl-BSD-Resource.x86_64
? perl-Compress-Raw-Zlib.x86_64
? perl-Compress-Zlib.x86_64
? perl-Crypt-OpenSSL-Bignum.x86_64         Im using node-forge for crypto security
? perl-Crypt-OpenSSL-RSA.x86_64
? perl-Crypt-OpenSSL-Random.x86_64
? perl-Crypt-SSLeay.x86_64
? perl-DBD-MySQL.x86_64
? perl-DBI.x86_64
? perl-Digest-HMAC.noarch
? perl-Digest-SHA.x86_64
? perl-Digest-SHA1.x86_64
? perl-Encode-Detect.x86_64
? perl-ExtUtils-MakeMaker.x86_64
? perl-ExtUtils-ParseXS.x86_64
? perl-HTML-Parser.x86_64
? perl-HTML-Tagset.noarch
? perl-IO-Compress-Base.x86_64
? perl-IO-Compress-Zlib.x86_64
? perl-IO-Socket-INET6.noarch
? perl-IO-Socket-SSL.noarch
? perl-IO-Tty.x86_64
? perl-IO-Zlib.x86_64
? perl-Mail-DKIM.noarch
? perl-MailTools.noarch
? perl-Module-Pluggable.x86_64
? perl-Net-DNS.x86_64
? perl-Net-LibIDN.x86_64
? perl-Net-SSLeay.x86_64
? perl-NetAddr-IP.x86_64
? perl-Package-Constants.x86_64
? perl-Pod-Escapes.x86_64
? perl-Pod-Simple.x86_64
? perl-SGMLSpm.noarch
? perl-Socket6.x86_64
? perl-Test-Harness.x86_64
? perl-Time-HiRes.x86_64
? perl-TimeDate.noarch
? perl-URI.noarch
? perl-devel.x86_64
? perl-libs.x86_64
? perl-version.x86_64
pinentry.x86_64
* pixman.x86_64
* pixman-devel.x86_64
pkgconfig.x86_64
policycoreutils.x86_64
popt.x86_64
portreserve.x86_64
postfix.x86_64
ppl.x86_64
procps.x86_64
* proftpd.x86_64
psmisc.x86_64
pth.x86_64
pygpgme.x86_64
python.x86_64
* python-iniparse.noarch
* python-libs.x86_64
* python-pycurl.x86_64
* python-urlgrabber.noarch
quota.x86_64
rarian.x86_64
rarian-compat.x86_64
readline.x86_64
redhat-logos.noarch
redhat-rpm-config.noarch
remi-release.noarch
rootfiles.noarch
rpcbind.x86_64
rpm.x86_64
rpm-libs.x86_64
rpm-python.x86_64
rsync.x86_64
rsyslog.x86_64
? samba.x86_64
? samba-client.x86_64
? samba-common.x86_64
? samba-winbind.x86_64
? samba-winbind-clients.x86_64
* screen.x86_64
sed.x86_64
setup.noarch
setuptool.x86_64
sgml-common.noarch
shadow-utils.x86_64
shared-mime-info.x86_64
slang.x86_64
sqlite.x86_64
stunnel.x86_64
subversion.x86_64
sysvinit-tools.x86_64
? talk.x86_64
? talk-server.x86_64
* tar.x86_64
tcp_wrappers.x86_64
tcp_wrappers-libs.x86_64
tcpdump.x86_64
tcsh.x86_64
telnet.x86_64
time.x86_64
tmpwatch.x86_64
traceroute.x86_64
tzdata.noarch
udev.x86_64
unixODBC.x86_64
* unzip.x86_64
* upstart.x86_64
usermode.x86_64
ustr.x86_64
util-linux-ng.x86_64
v8.x86_64
v8-devel.x86_64
vzdev.noarch
vzdummy-glibc.noarch
vzdummy-init-fc13.noarch
* wget.x86_64
which.x86_64
xinetd.x86_64
xml-common.noarch
xorg-x11-proto-devel.noarch
xz.x86_64
xz-libs.i686
xz-libs.x86_64
xz-lzma-compat.x86_64
* yum.noarch
* yum-metadata-parser.x86_64
* yum-plugin-fastestmirror.noarch
zlib.i686
zlib.x86_64
zlib-devel.x86_64  
share|improve this question
2  
It's better to start with a minimal installation and then add only the packages you need. –  Michael Hampton Jul 2 at 18:06
    
I did know that –  8DK Jul 2 at 18:20

2 Answers 2

I'm not going to go through the list because I don't know (and really don't want to know) what you're doing with the system.

Only you can really decide if a package is required by your business needs or not.

You are aided somewhat by the package management system try yum remove perl and see what it says, see what it's going to remove because of dependencies, be surprised and leave it alone.

It may be easier to start small and add stuff you need.

share|improve this answer

Uhhh, why didn't you start with the minimal install? Maybe strip that down a bit more and then add what you actually need?

RHEL/CentOS has some odd dependancies at least last time I stripped it down to the bare essentials, but minimal is already pretty good.

share|improve this answer
    
my host does not provide that option –  8DK Jul 3 at 16:23

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.